import { EventEmitter, ChangeDetectorRef, ElementRef, Renderer2 } from '@angular/core';
export declare class IfInViewDirective {
    private renderer;
    private elRef;
    private cdRef;
    classes: string;
    userOffset: number;
    userEP: "top" | "middle" | "bottom";
    callback: EventEmitter<{
        value: boolean;
        name?: string;
    }>;
    private readonly entryPoint;
    private el;
    constructor(renderer: Renderer2, elRef: ElementRef, cdRef: ChangeDetectorRef);
    ngAfterContentInit(): void;
    private addClasses(classes);
    private removeClasses(classes);
    private doCheck(top, bot, height);
    scroll(e: UIEvent): void;
}
